Bug 521830 - openhpid init script collected problems LSB-compilant
Summary: openhpid init script collected problems LSB-compilant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openhpi
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-08 13:35 UTC by Yulia Kopkova
Modified: 2010-03-18 03:25 UTC (History)
3 users (show)

Fixed In Version: openhpi-2.14.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 03:25:59 UTC


Attachments (Terms of Use)

Description Yulia Kopkova 2009-09-08 13:35:19 UTC
Description of problem:
According to https://fedoraproject.org/wiki/Packaging/SysVInitScript
openhpid service should support "reload" option.

The reason of filling this is "InitScripts LSB compliance project"


Version-Release number of selected component (if applicable):
openhpi-2.14.0-5.fc12.x86_64


How reproducible:
Always


Steps to Reproduce:
1. service openhpid reload ; echo $?
2.
3.
  
Actual results:
Usage: /etc/init.d/openhpid {start|stop|restart|condrestart|try-restart|status|force-reload}
1

Expected results:
Reloading openhpid:                                      [  OK  ]
0

Additional info:

Comment 1 Yulia Kopkova 2009-09-17 11:14:00 UTC
One more thing:

Init script should also return code "4" if restarting service under
nonprivileged user:

su testuserqa -c "service $SERVICE restart"; echo $?
now: 1 
expected: 4

Comment 2 Bug Zapper 2009-11-16 12:03:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Update System 2010-03-01 10:08:19 UTC
openhpi-2.14.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openhpi-2.14.1-3.fc13

Comment 5 Fedora Update System 2010-03-02 01:02:01 UTC
openhpi-2.14.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openhpi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3264

Comment 7 Yulia Kopkova 2010-03-12 09:50:30 UTC
Verified problems mentioned above are fixed in openhpi-2.14.1-3.fc13.x86_64

Thank you, Dan!

Comment 8 Fedora Update System 2010-03-18 03:25:41 UTC
openhpi-2.14.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.